Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins
[Java] Interface Convention

    org.gradle.api.plugins.Convention
      org.gradle.api.internal.DynamicObject

All Superinterfaces:
  DynamicObject

    public interface Convention
    extends DynamicObject

A `Convention` manages a set of convention objects. When you add a convention object to a `Convention`, and the properties and methods of the convention object become available as properties and methods of the object which the convention is associated to. A convention object is simply a POJO or POGO. Usually, a `Convention` is used by plugins to extend a Project or a Task.

Authors:
  Hans Dockter

Method Summary
`T` | `findPlugin(java.lang.Class type)` Locates the plugin convention object with the given type.
`T` | `getPlugin(java.lang.Class type)` Locates the plugin convention object with the given type.
`java.util.Map` | `getPlugins()` Returns the plugin convention objects contained in this convention.

Method Detail

### findPlugin

    public T findPlugin(java.lang.Class type)

  Locates the plugin convention object with the given type.
  throws:
    IllegalStateException When there there are multiple matching objects.
  Parameters:
    `type` - The convention object type.
  Returns:
    The object. Returns null if there is no such object.

### getPlugin

    public T getPlugin(java.lang.Class type)

  Locates the plugin convention object with the given type.
  throws:
    IllegalStateException When there is no such object contained in this convention, or when there are multiple such objects.
  Parameters:
    `type` - The convention object type.
  Returns:
    The object. Never returns null.

### getPlugins

    public java.util.Map getPlugins()

  Returns the plugin convention objects contained in this convention.
  Returns:
    The plugins. Returns an empty map when this convention does not contain any convention objects.

Groovy Documentation